C API Functions

## udbKindList

### Description

Add a kind to the specified kindlist and return the reallocated kindlist.

Use udbKindListFree() to free the kindlist when done.

In order to match the criteria of a list of kind names, a kind must have in its fullname, every name listed in the list of names, and must not have in its fullname, any names listed in the list of names that begin with '~'. An explanation of kind names with examples is provided in Kind Name Usage

Refer to the language-specific listings of entity and reference kinds in the Appendix Entity and Reference Kinds.

### Syntax

     #include "udb/udb.h"
     void    udbKindList(UdbKind kind, UdbKindList *kindlist)

### Arguments

Argument | description
UdbKind kind | Specify the kind
UdbKindList *kindlist | *kindlist must be an existing kind list to add to or NULL to create a new list.

### Return Values

There is no function return value.

### Example Usage

     udbKindList( kind, &kindlist);

or

     udbKindList(udbEntityKind (entity), &kindlist );

The resulting kindlist can then be passed to other API functions:

     udbListEntityFilter(ents, kindlist, &newents, NULL);

### See Also

udbKindListFree to free the kindlist when done.

udbKindListCopy to make a copy of a specified kindlist.

udbKindLocate to check if the specified kind is in the kindlist.

udbKindParse to create a kindlist from specified kind names.

Scientific Toolworks, Inc. http://www.scitools.com Voice: (802) 763-2995 Fax: (802) 763-3066 support@scitools.com sales@scitools.com